Trf_MDFinal(3)

NAME
Trf_MDFinal - Interface to procedures for generation of the final digest from a MD state.

SYNOPSIS
#include <transform.h>

void Trf_MDFinal
(
    void *context,
    void *digest
);

PARAMETERS

void *context
    State to finalize.

void *digest
    Result area to fill.

DESCRIPTION
A procedure of this type is called after processing the final character. It is its responsibility to finalize the internal state of the MD algorithm and to generate the resulting digest from this.

SEE ALSO
Trf_Init(3), Trf_SafeInit(3), Trf_IsInitialized(3), Trf_CreateOptions(3), Trf_DeleteOptions(3), Trf_CheckOptions(3), Trf_SetOption(3), Trf_SetObjOption(3), Trf_QueryOptions(3), Trf_SeekQueryOptions(3), Trf_WriteProc(3), Trf_CreateCtrlBlock(3), Trf_DeleteCtrlBlock(3), Trf_TransformCharacter(3), Trf_TransformBuffer(3), Trf_FlushTransformation(3), Trf_ClearCtrlBlock(3), Trf_QueryMaxRead(3), Trf_Register(3), Trf_ConverterOptions(3), Trf_MDStart(3), Trf_MDUpdate(3), Trf_MDUpdateBuf(3), Trf_MDCheck(3), Trf_RegisterMessageDigest(3), Trf_LoadLibrary(3), Trf_XorBuffer(3), Trf_ShiftRegister(3), Trf_FlipRegisterShort(3), Trf_FlipRegisterLong(3), Trf_InitStubs(3)